> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Download File

Returns **HTTP 302** with a **`Location`** header pointing at a presigned URL . Follow redirects to download bytes. (Mintlify docs does NOT handle redirects)

## Description

* **`file_type`**: `mp4`, `mp3`, `wav`, `srt`, or `vtt`.
* **`language`**: query parameter, default `source` (target locale or `source` for the original).
* **`burn_subtitles_on_source`**: optional query boolean; when `true` and `file_type` is `mp4`, the handler may select the burned-subtitles-on-source object key.


## OpenAPI

````yaml get /v1/videos/{video_id}/download/{file_type}
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/videos/{video_id}/download/{file_type}:
    get:
      tags:
        - videos
      summary: Download File
      operationId: download_file_v1_videos__video_id__download__file_type__get
      parameters:
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
        - name: file_type
          in: path
          required: true
          schema:
            enum:
              - mp4
              - mp3
              - wav
              - srt
              - vtt
            type: string
            title: File Type
        - name: burn_subtitles_on_source
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Burn Subtitles On Source
        - name: language
          in: query
          required: false
          schema:
            type: string
            title: Language
            default: source
      responses:
        '200':
          description: Successful Response
          content:
            video/mp4: {}
            audio/mpeg: {}
            audio/wav: {}
            text/plain: {}
            application/msword: {}
        '404':
          content:
            application/json:
              example:
                detail: File Not Found
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````